UPnPConstants

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hn.profiles.upnp
Interface UPnPConstants

    public interface UPnPConstants

This interface contains constants that are specific to UPnP and used in conjuntion with the `org.ocap.hn.content.Metadata` interface.

Field Summary
`static String` | `ACTOR` Name of an actor appearing in a video item.
`static String` | `ACTOR_AT_ROLE` Role of an actor in the work.
`static String` | `ALBUM` This identifies a `ALBUM` this piece of content belongs to.
`static String` | `ALBUM_ART` Reference to album art.
`static String` | `ARTIST` Name of an artist.
`static String` | `ARTIST_AT_ROLE` Role of an artist in the work.
`static String` | `ARTIST_DISCOGRAPHY` Reference to artist discography.
`static String` | `AUTHOR` Name of an author.
`static String` | `AUTHOR_AT_ROLE` Role of an author in the work (e.g. lyrics, music).
`static String` | `CHANNEL_NAME` Used for identification of channels themselves, or information associated with a piece of recorded content.
`static String` | `CHANNEL_NUMBER` Used for identification of tuner channels themselves or information associated with a piece of recorded content.
`static String` | `COMMENTS` General-purpose tag where a user can annotate an object with some user-specific information.
`static String` | `CONTRIBUTOR` Name of a contributor.
`static String` | `CREATION_DATE` This identifies the `CREATION_DATE` of a piece of content.
`static String` | `CREATOR` This identifies the `CREATOR` of a piece of content.
`static String` | `DESCRIPTION` A brief description of the content item.
`static String` | `DIRECTOR` Name of a director.
`static String` | `DVD_REGION_CODE` DVD region code.
`static String` | `GENRE` Name of the genre to which an object belongs.
`static String` | `ICON_REF` Reference to an icon which can be used to represent the content.
`static String` | `ID` An identifier for the object.
`static String` | `LANGUAGE` Language as defined by RFC 3066, e.g. "en-US".
`static String` | `LONG_DESCRIPTION` A long description of the content item.
`static String` | `LYRICS_REF` Reference to lyrics of a track or album.
`static String` | `MEDIA_ID` Unique identifier of an audio CD (e.g. freedb or cddb id).
`static String` | `PLAYLIST` Name of a playlist this object belongs to.
`static String` | `PRODUCER` Name of a producer.
`static String` | `PUBLISHER` Name of a publisher.
`static String` | `RADIO_BAND` Radio station frequency band.
`static String` | `RADIO_CALL_SIGN` Radio station call sign, e.g. "KSJO".
`static String` | `RADIO_STATION_ID` Some identification, e.g. "107.7", broadcast frequency of the radio station.
`static String` | `RATING` Rating of the object's resource, for 'parental control' filtering purposes, such as "R", "PG-13", "X".
`static String` | `REGION` Some identification of the region, associated with the 'source' of the object, e.g. "US", "Latin America", "Seattle".
`static String` | `RELATION` Reference to related resources.
`static String` | `RIGHTS` Element Description: Information about rights held in and over the resource.
`static String` | `SCHEDULED_END_TIME` End time of a scheduled program.
`static String` | `SCHEDULED_START_TIME` Start time of a scheduled program.
`static String` | `STORAGE_MEDIUM` Indicates the type of storage medium used for the content.
`static String` | `TITLE` The identifier for the title of an item.
`static String` | `TRACK_NUMBER` Original track number on a CD or other medium.

Field Detail

### ID

    static final String ID

  An identifier for the object. The value of each object id property must be unique with respect to the server hosting this content.

  The value is `didl-lite:`(object)`@"id"`

  See Also:
    Constant Field Values

### TITLE

    static final String TITLE

  The identifier for the title of an item. This could be the title of a song, a recording, a photo etc. This identifier is valid for all kinds of content.
  Queries for `TITLE` should always return a String.

  The value of this key is "dc:title".

  See Also:
    Constant Field Values

### CREATOR

    static final String CREATOR

  This identifies the `CREATOR` of a piece of content. In the case of e.g., MP3's this maps to the 'Artist' ID3 tag, In case of a recording/live broadcast this is the Broadcaster e.g., BBC1.
  Queries for `CREATOR` should always return a String.

  The value of this key is "dc:creator".

  See Also:
    Constant Field Values

### ARTIST

    static final String ARTIST

  Name of an artist.

  The value of this field is `"upnp:artist"`.

  See Also:
    Constant Field Values

### ARTIST_AT_ROLE

    static final String ARTIST_AT_ROLE

  Role of an artist in the work.

  The value of this field is `"upnp:artist@role"`

  See Also:
    Constant Field Values

### ACTOR

    static final String ACTOR

  Name of an actor appearing in a video item.

  The value of this field is `"upnp:actor"`.

  See Also:
    Constant Field Values

### ACTOR_AT_ROLE

    static final String ACTOR_AT_ROLE

  Role of an actor in the work.

  The value of this field is `"upnp:actor@role"`

  getMetadata returns a String.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### AUTHOR

    static final String AUTHOR

  Name of an author.

  The value of this field is `"upnp:author"`.

  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### AUTHOR_AT_ROLE

    static final String AUTHOR_AT_ROLE

  Role of an author in the work (e.g. lyrics, music).

  The value of this field is `"upnp:author@role"`

  getMetadata returns a String.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### PRODUCER

    static final String PRODUCER

  Name of a producer.

  The value of this field is `"upnp:producer"`.

  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### DIRECTOR

    static final String DIRECTOR

  Name of a director.

  The value of this field is `"upnp:director"`.

  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### PUBLISHER

    static final String PUBLISHER

  Name of a publisher.

  The value of this field is `"dc:publisher"`.

  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### CONTRIBUTOR

    static final String CONTRIBUTOR

  Name of a contributor. It is recommended that CONTRIBUTOR includes the name of the primary content creator (see Dublin Core 'creator' property)

  The value of this field is `"dc:contributor"`.

  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### GENRE

    static final String GENRE

  Name of the genre to which an object belongs. Can be more than one.

  The value of this field is `"upnp:genre"`.

  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### ALBUM

    static final String ALBUM

  This identifies a `ALBUM` this piece of content belongs to. For example, in MP3 files this maps to the 'Album' ID3 tag, In case of a recording/live broadcast this could be the series to which it belongs (e.g., Buffy).

  The value of this field is `"upnp:album"`

  Queries for `ALBUM` should always return a String.
  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### PLAYLIST

    static final String PLAYLIST

  Name of a playlist this object belongs to. Can be more than one.

  The value of this field is `"upnp:playlist"`.

  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### ALBUM_ART

    static final String ALBUM_ART

  Reference to album art. Can be more than one.

  The value of this field is `"upnp:albumArtURI"`.

  Values must be properly escaped URIs as described in [RFC 2396].
  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### ARTIST_DISCOGRAPHY

    static final String ARTIST_DISCOGRAPHY

  Reference to artist discography.

  The value of this field is `"upnp:artistDiscographyURI.`

  Values must be properly escaped URIs as described in [RFC 2396].
  getMetadata() will return a String.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### LYRICS_REF

    static final String LYRICS_REF

  Reference to lyrics of a track or album.

  The value of this field is `"upnp:lyricsURI"`.

  Values must be properly escaped URIs as described in [RFC 2396].
  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### RELATION

    static final String RELATION

  Reference to related resources.

  The value of this field is `"dc:relation.`

  Values must be properly escaped URIs as described in [RFC 2396].
  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### STORAGE_MEDIUM

    static final String STORAGE_MEDIUM

  Indicates the type of storage medium used for the content. Potentially useful for user-interface purposes. Allowed values are defined by UPnP and include:
  - "UNKNOWN"
  - "DV"
  - "MINI-DV"
  - "VHS"
  - "W-VHS"
  - "S-VHS"
  - "D-VHS"
  - "VHSC"
  - "VIDEO8"
  - "HI8"
  - "CD-ROM"
  - "CD-DA"
  - "CD-R"
  - "CD-RW"
  - "VIDEO-CD"
  - "SACD"
  - "MD-AUDIO"
  - "MD-PICTURE"
  - "DVD-ROM"
  - "DVD-VIDEO"
  - "DVD-R"
  - "DVD+RW"
  - "DVD-RW"
  - "DVD-RAM"
  - "DVD-AUDIO"
  - "DAT"
  - "LD"
  - "HDD"
  - "SD"
  - "PC-CARD"
  - "MMC"
  - "CF"
  - "BD"
  - "MS"

  The value of this field is `"upnp:storageMedium"`.

  See Also:
    Constant Field Values

### DESCRIPTION

    static final String DESCRIPTION

  A brief description of the content item.

  The value of this field is `"dc:description"`.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### LONG_DESCRIPTION

    static final String LONG_DESCRIPTION

  A long description of the content item.

  The value of this field is `"upnp:longDescription"`.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### ICON_REF

    static final String ICON_REF

  Reference to an icon which can be used to represent the content.

  The value of this field is `"upnp:icon"`.

  Values must be properly escaped URIs as described in [RFC 2396].

  IB: Do we want a key/value pair icon -> java.awt.Image ?

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### REGION

    static final String REGION

  Some identification of the region, associated with the 'source' of the object, e.g. "US", "Latin America", "Seattle".

  The value of this field is `"upnp:region"`

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### RATING

    static final String RATING

  Rating of the object's resource, for 'parental control' filtering purposes, such as "R", "PG-13", "X".

  The value of this field is `"upnp:rating"`

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### RIGHTS

    static final String RIGHTS

  Element Description: Information about rights held in and over the resource. Typically a Rights element will contain a rights management statement for the resource, or reference a service providing such information. Rights information often encompasses Intellectual Property Rights (IPR), Copyright, and various Property Rights. If the rights element is absent, no assumptions can be made about the status of these and other rights with respect to the resource. Guidelines for content creation: The Rights element may be used for either a textual statement or a URL pointing to a rights statement, or a combination, when a brief statement and a more lengthy one are available. Examples:
  Rights="Access limited to members"
  Rights="http://cs-tr.cs.cornell.edu/Dienst/Repository/2.0/Terms"

  The value of this field is `"dc:rights"`

  getMetadata() returns an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### CREATION_DATE

    static final String CREATION_DATE

  This identifies the `CREATION_DATE` of a piece of content. In the case of e.g., MP3's this maps to the 'Year' ID3 tag, In case of a recording/live broadcast this is when the content was created. For Images this is the date the photo was made.
  Queries for `CREATION_DATE` should always return a java.util.Date. Only the year of the Date might actually be valid (e.g., for MP3s).

  The value of this field is `"dc:date"`

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### LANGUAGE

    static final String LANGUAGE

  Language as defined by RFC 3066, e.g. "en-US".

  The value of this field is `"dc:language"`

  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### RADIO_CALL_SIGN

    static final String RADIO_CALL_SIGN

  Radio station call sign, e.g. "KSJO".

  The value of this field is `"upnp:radioCallSign"`

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### RADIO_STATION_ID

    static final String RADIO_STATION_ID

  Some identification, e.g. "107.7", broadcast frequency of the radio station.

  The value of this field is `"upnp:radioStationID"`

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### RADIO_BAND

    static final String RADIO_BAND

  Radio station frequency band. Recommended values are "AM", "FM", "Shortwave", "Internet", "Satellite". Vendor's may extend this.

  The value of this field is `"upnp:radioBand"`

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### CHANNEL_NUMBER

    static final String CHANNEL_NUMBER

  Used for identification of tuner channels themselves or information associated with a piece of recorded content.

  The value of this field is `"upnp:channelNr"`

  getMetadata() returns an Integer.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### CHANNEL_NAME

    static final String CHANNEL_NAME

  Used for identification of channels themselves, or information associated with a piece of recorded content.

  The value of this field is `"upnp:channelName"`

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### SCHEDULED_START_TIME

    static final String SCHEDULED_START_TIME

  Start time of a scheduled program.

  The value of this field is `"upnp:scheduledStartTime"`

  getMetadata() returns java.util.Date.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### SCHEDULED_END_TIME

    static final String SCHEDULED_END_TIME

  End time of a scheduled program.

  The value of this field is `"upnp:scheduledEndTime"`

  getMetadata() returns java.util.Date.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### DVD_REGION_CODE

    static final String DVD_REGION_CODE

  DVD region code.

  The value of this field is `"upnp:DVDRegionCode"`

  getMetadata() returns an Integer.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### TRACK_NUMBER

    static final String TRACK_NUMBER

  Original track number on a CD or other medium.

  The value of this field is `"upnp:originalTrackNumber"`

  getMetadata() returns an Integer.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### MEDIA_ID

    static final String MEDIA_ID

  Unique identifier of an audio CD (e.g. freedb or cddb id).

  The value of this field is `"upnp:toc"`

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

### COMMENTS

    static final String COMMENTS

  General-purpose tag where a user can annotate an object with some user-specific information.

  The value of this field is `"upnp:userAnnotation"`

  getMetadata() will return an array of Strings.

  See Also:
    `MetadataNode.getMetadata(String)`, Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD